#
# spec file for package skanlite
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           skanlite
Version:        2.1.0.1
Release:        lp150.1.1
Summary:        Image Scanner Application
License:        LGPL-2.1+
Group:          Hardware/Scanner
Url:            https://www.kde.org/applications/graphics/skanlite/
Source0:        http://download.kde.org/stable/%{name}/2.1/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libksane-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     %{name}-lang = %{version}
Obsoletes:      %{name}-doc < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Skanlite is an image scanner application by KDE.

%lang_package

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%find_lang %{name} --all-name
# Fix rpmlint warning "script-without-shebang"
chmod 644 %{buildroot}%{_kf5_applicationsdir}/org.kde.skanlite.desktop

%files
%defattr(-,root,root,-)
%license src/COPYING
%doc src/TODO
%{_kf5_applicationsdir}/org.kde.skanlite.desktop
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.skanlite.appdata.xml
%{_kf5_bindir}/skanlite
%doc %{_kf5_htmldir}/en/

%files lang -f %{name}.lang
%defattr(-,root,root)
%doc %{_kf5_htmldir}
%exclude %{_kf5_htmldir}/en/

%changelog
* Tue Apr  3 2018 wbauer@tmo.at
- Update to version 2.1.0.1:
  * Add translations that were missing in 2.1.0 (kde#392598)
- Update to version 2.1.0:
  * Allow index to start from 0 (kde#360432)
  * D-BUS support
  * Bugfix: wrong folder selection dialog behavior (kde#377929)
  * Fix DPI info in 16-bit PNG
  * Fix handling of empty prefix
  * Correct display of applied filename templates
  * Default to PNG format if no format is provided (kde#374315)
* Mon Oct 31 2016 wbauer@tmo.at
- Fix source URL
* Mon Oct 31 2016 wbauer@tmo.at
- Update to version 2.0.1:
  * added appdata-xml
  * updated documentation
- Removed upstreamed patch fix_translations_install.patch
* Thu Aug  4 2016 asterios.dramis@gmail.com
- Update to version 2.0:
  * Port to Kf5.
- Added lang subpackage.
- Merged doc subpackage with the main package in order to have the
  english help files in the main package. Obsolete the doc
  subpackage.
- Added build requirements pkgconfig(Qt5Gui) and
  pkgconfig(Qt5Widgets).
- Added a patch "fix_translations_install.patch" to fix the
  installation of translation (mo) files.
* Mon Jan 18 2016 tittiatcoke@gmail.com
- Update to the latest git snapshot from upstream. This contains
  the rework done to make it work with KDE Frameworks. Unfortunately
  this means that the lang package is gone for the moment, but at
  least the program is still there as that the required libraries
  are only available in a KF5 based version
* Wed Jan  1 2014 hrvoje.senjan@gmail.com
- Update to version 1.1:
  * kio support
* Thu Feb 28 2013 asterios.dramis@gmail.com
- Update to version 1.0:
  * Fix "save crash" when libksane returns an odd number sized buffer in 16 bit
    mode
    kde#314108
  * Save sequence number across sessions
    kde#202432
  * Add option to set sequence-number. Do not open "first image" dialog after
    settings dialog has been canceled
    kde#310687
    kde#310688
    kde#310689
* Wed Sep 26 2012 asterios.dramis@gmail.com
- Update to version 0.9:
  * (Fix regression) Base suggested file name on previous name.
  * Remove the save without asking and keep the ask for first, because you
    probably want to see where the files go anyways the first time around.
- Keep only the english documentation in the doc subpackage (move the other
  languages to the lang subpackage).
* Mon Dec 19 2011 asterios.dramis@gmail.com
- Update to version 0.8:
  * Save scanner options on exit and restore them on next start.
  * Add option to disable automatic selection of scan area(s).
- Spec file updates:
  * Use libkde4-devel instead of libkdepimlibs4-devel (not needed) in
    BuildRequires:.
  * Recommend instead of Suggest the doc and lang subpackages.
  * Removed /sbin/ldconfig %%post/%%postun sections (not needed).
* Sat Oct  8 2011 toddrme2178@gmail.com
- Moved all documentation to the documentation package
  (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Tue Sep 13 2011 toddrme2178@gmail.com
- Split translations (fix for RPMLINT warning)
- Split documentation (fix for RPMLINT warning)
- Added Url tag (fix for RPMLINT warning)
- Removed KDE SC 3 provides (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Thu Dec  2 2010 tittiatcoke@gmail.com
- Update to 0.7
  * fix save file name regression
* Fri Nov 26 2010 tittiatcoke@gmail.com
- update to 0.6
  - Fix compilation problem.
  - Fix save window size bug.
* Thu Nov 18 2010 tittiatcoke@gmail.com
- update to 0.5
  - Add 16 bits/color support for PNG images.
  - Save window size on exit.
  - Fix the "Remember last saved image path/type" regressio
* Fri Jun 25 2010 beineri@opensuse.org
- fix build for <11.2
* Mon Mar  8 2010 llunak@novell.com
- fix build
* Wed Feb 24 2010 llunak@novell.com
- update to 0.4-kde4.4.0: fix build with gcc-4.5
* Sun Jan 31 2010 beineri@opensuse.org
- revert last, fix build different and keep KDE:Backports working
* Fri Jan 29 2010 coolo@novell.com
- add oxygen-icon-theme-large to fix build
* Mon Aug 31 2009 beineri@opensuse.org
- update to 0.3-kde4.3.1: updated translations
* Fri Jul 31 2009 beineri@opensuse.org
- update to 0.3-kde4.3.0: updated translations
* Wed Jun  3 2009 beineri@opensuse.org
- update to 0.3-kde4.2.4: updated translations
* Sat May  9 2009 beineri@opensuse.org
- don't use icon from desktop-data-openSUSE but oxygen-icon-theme
* Wed May  6 2009 beineri@opensuse.org
- update to 0.3-kde4.2.3: updated translations
* Sun Apr 26 2009 beineri@opensuse.org
- document and limit doc directory work-arounds
* Tue Mar 31 2009 beineri@opensuse.org
- update to 0.3-kde4.2.2:
  * Add a scan mode "Open the save dialog for the first image only"
  * Sync the settings on settings dialog exit to ensure that the
    changes are saved.
* Fri Jan 23 2009 stbinner@suse.de
- update to 0.2-kde4.2.0
* Wed Jan 21 2009 stbinner@suse.de
- adapt build requirements
* Sun Jan 11 2009 stbinner@suse.de
- update to 0.2-kde4.1.96
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obseletes
* Sun Oct 19 2008 stbinner@suse.de
- define icon in .desktop file
* Sat Sep 20 2008 stbinner@suse.de
- initial package
